#ifndef __BSP_TIMER_H__
#define __BSP_TIMER_H__



typedef void(*timer_cb_t)(void);

//extern timer_cb_t  g_timer_cb;
//extern timer_cb_t  g_clock_cb;
//extern timer_cb_t  g_beep_cb;
extern volatile u32    g_clock_ms;
extern bit s1_flag;
extern bit ms100_flag;
extern bit timeout_flag;


void hal_timer_init(void);
void reset_rs485_recv_timeout(void);
bit rs485_has_recv_timeout(void);
void reset_rs485_recv_timeout2(void);
bit rs485_has_recv_timeout2(void);
void reset_timeout_countdown(u16 count);
void stop_timeout_countdown(void);
#endif
